#!/bin/bash

# TODO make the rendering optional

if [ -z "$3" ]; then 
		echo usage: make.sh filename iterationNo dir 
		exit
fi

tmp="tmp"

# move to dir
cd $3
pwd

#mkdir temp

# conversion in octree for radiance calculation 
nice -n 12 oconv sky.rad  material.rad $tmp/$1_$2.rad > $tmp/$1_$2.oct

# calculation
nice -n 12 rtrace -h -w -I -ab 1 -ad 1000 -as 250 -dc .9 -dj .66 $tmp/$1_$2.oct < $tmp/$1.inp > $tmp/$1_$2.out
#nice -n 12 rtrace -h -w -I -ab 1 -ad 1000 -as 250 -dc .9 -dj .66 $tmp/$1_$2.oct < $tmp/$1.inp | rcalc -e '$1=$3' > $tmp/$1_$2.out

exit
